#! /usr/bin/python

import glob
import os

(name, version) = os.path.basename (os.path.dirname (os.getcwd ())).rsplit ('-', 1)

cmd = 'xgettext' \
      ' --language=Python' \
      ' --add-comments=TRANSLATORS:' \
      ' --copyright-holder={copyright}' \
      ' --package-name={name}' \
      ' --package-name={name}' \
      ' --package-version={version}' \
      ' --from-code=UTF-8' \
      ' -j' \
      ' -k_' \
      ' -kngettext' \
      ' -o {name}.pot' \
      ' '.format (copyright='kakurasan', name=name, version=version)

f = open ('{name}.pot'.format (name=name), 'w')
f.close ()
for script in glob.glob (os.path.join ('..', 'xbrightness_rgbgamma/*.py')):
  os.system (cmd + script)
